org.apache.ignite.internal.processors.platform.client

## Class ClientObjectResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerResponse
  - - org.apache.ignite.internal.processors.platform.client.ClientResponse
    - - org.apache.ignite.internal.processors.platform.client.ClientObjectResponse

    public class ClientObjectResponse
    extends ClientResponse

Single object response.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`STATUS_FAILED, STATUS_SUCCESS`

### Constructor Summary

Constructors
Constructor and Description
`ClientObjectResponse(long reqId, Object val)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `encode(ClientConnectionContext ctx, BinaryRawWriterEx writer)` Encodes the response data.

### Methods inherited from class org.apache.ignite.internal.processors.platform.client.ClientResponse

`encode, requestId`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.ClientListenerResponse

`error, error, status, status`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientObjectResponse

    public ClientObjectResponse(long reqId,
                                Object val)

Constructor.

Parameters:
  `reqId` - Request id.

### Method Detail

#### encode

    public void encode(ClientConnectionContext ctx,
                       BinaryRawWriterEx writer)

Encodes the response data.

Overrides:
  `encode` in class `ClientResponse`
Parameters:
  `ctx` - Connection context.
  `writer` - Writer.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020